@import 'bootstrap.min.css';
@import 'spacing.css';
@import '2024.css?2';
@import '../blueimp/css/blueimp-gallery.min.css';
@import url('https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@300..700&display=swap');

#adminpanel {
  position: fixed;
  bottom: 10px;
  left: 40px;
  z-index: 10000;
}

.wysiwyg {
  img {
    max-width: 100%;
    height: auto;
  }
}

#cookiesBarTrigger {
  position: fixed;
  bottom: 5px;
  left: 5px;
  z-index: 100;
  cursor: pointer;

  img {
    width: 25px;
    height: 25px;
  }
}

.card {
  /*.ico-vector {
    width: 54px;
    height: 54px;
  }*/

  .ico-vector-sm {
    width: 36px;
    height: 36px;
  }
}

.fill-primary {
  filter: invert(38%) sepia(81%) saturate(3910%) hue-rotate(217deg) brightness(94%) contrast(87%);
  fill: black !important;
}

.fill-white {
  filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(286deg) brightness(100%) contrast(106%);
  fill: black !important;
}

.card-even {
  background-color: var(--primary);
  border: none !important;

  .card-title,
  .card-date,
  .card-text {
    color: var(--white);

    a {
      color: var(--white) !important;
    }
  }

  .link-white {
    svg {
      filter: invert(97%) sepia(3%) saturate(11%) hue-rotate(54deg) brightness(104%) contrast(102%);
    }
  }

  .ico-vector {
    filter: invert(97%) sepia(3%) saturate(11%) hue-rotate(54deg) brightness(104%) contrast(102%);
  }
}

.card-odd {
  .link-white {
    color: var(--primary) !important;

    svg {
      filter: invert(35%) sepia(50%) saturate(2361%) hue-rotate(212deg) brightness(92%) contrast(91%);
    }
  }

  .ico-vector {
    filter: invert(35%) sepia(50%) saturate(2361%) hue-rotate(212deg) brightness(92%) contrast(91%);

    &:hover {
      filter: invert(12%) sepia(53%) saturate(5595%) hue-rotate(225deg) brightness(92%) contrast(88%);
    }
  }
}

.blog-grid {
  grid-template-columns: repeat(3, 1fr);

  .blog-full-width {
    grid-column-start: 1;
    grid-column-end: 4;
  }

  article.card:nth-child(even) {
    grid-column-start: 1;
    grid-column-end: 3;
  }

  article.card:nth-child(odd) {
    grid-column-start: 3;
    grid-column-end: 5;
  }

  @media (max-width: 992px) {
    grid-template-columns: repeat(2, 1fr);

    .blog-full-width {
      grid-column-start: 1;
      grid-column-end: 3;
    }

    article.card:nth-child(even) {
      grid-column-start: 1;
      grid-column-end: 3;
    }

    article.card:nth-child(odd) {
      grid-column-start: 1;
      grid-column-end: 3;
    }


  }
}

.office {
  img {
    width: 100%;
  }
}

svg.zega {
  fill: var(--primary);

  &:hover {
    fill: var(--navy);
  }
}

.social-links img,
.social-links svg {
  filter: invert(38%) sepia(81%) saturate(3910%) hue-rotate(217deg) brightness(94%) contrast(87%);
  fill: black !important;
}

.bg-image {
  position: relative;

  &.with-fade {
    &:before {
      content: '';
      position: absolute;
      z-index: 0;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background: var(--light);
    }
  }
}

@media (min-width: 992px) {
  .bg-image {

    &.with-fade {
      &:before {
        background: linear-gradient(90deg, rgba(245, 245, 245, 1) 50%, rgba(245, 245, 245, 0) 80%);
      }
    }
  }
}

.container {
  position: relative;
  z-index: 1;
}

html.logged-in {
  [data-tpl] {
    position: relative;

    &:before {
      content: '';
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      border: 1px dashed;
      position: absolute;
    }

    &:after {
      position: absolute;
      left: 0;
      top: 0;
      content: attr(data-tpl);
      background: black;
      color: white;
      padding: 0 10px;
      font-size: 12px;
    }
  }
}

html.hide-helpers {
  [data-tpl] {
    &:before,
    &:after {
      display: none;
    }
  }
}

.footer-newsletter {

  .input-group {
    border-radius: var(--bs-border-radius);
    overflow: hidden;
  }

  .form-control {
    display: flex;
    flex-direction: column;
    align-items: start;
    padding: 0 !important;

    input[type=text],
    input[type=email] {
      border-radius: var(--bs-border-radius);
      border: none;
      width: 100%;
      height: 100%;
      padding: .375rem .75rem;

      &:focus {
        outline: none;
      }
    }
  }

  .help-block {
    display: block;
    font-size: .875rem;
    padding: 0 .75rem;
  }
}

.scrollable {
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.top-bar-text {
  font-family: 'Inter', Arial, Helvetica, sans-serif;
  font-size: 12px;
  line-height: 15px;
  margin: 0;
  padding: 0;
  letter-spacing: normal;

  strong {
    font-weight: normal;
  }
}

*:has(>.horizontal-slider-nav) {
  position: relative;
}

*:has(>.vertical-slider-nav) {
  position: relative;
}

.horizontal-slider-nav {
  width: 50vw;
  position: absolute;
  z-index: 9999;
  top: 50%;
  left: -27px;
  margin-top: -27px;
  display: flex;
  justify-content: space-between;
  height: 0;
}

.hs-skills {
  width: 100%;
  margin-top: -45px;
  left: 0
}

.vertical-slider-nav {
  width: 54px;
  position: absolute;
  z-index: 9999;
  right: -80px;
  top: 50%;
}

.scroll-arrow {
  width: 54px;
  height: 54px;
  border: none;
  background: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 100%;
  -moz-box-shadow: 1px 2px 5px rgba(0, 0, 0, 0.4);
  -webkit-box-shadow: 1px 2px 5px rgba(0, 0, 0, 0.4);
  box-shadow: 1px 2px 5px rgba(0, 0, 0, 0.4);
}

.hs-skills .scroll-arrow {
  width: 45px;
  height: 45px;
}

.hs-skills .left-arrow {
  margin-left: -27px;
}

.hs-skills .right-arrow {
  margin-right: -27px;
}

@media screen and (max-width: 1024px) {
  .horizontal-slider-nav,
  .vertical-slider-nav {
    display: none;
  }
}

@media screen and (max-width: 767px) {
  .case-study {
    a.ca-link .card-header {
      padding-top: 0 !important;
      width: calc(100% - 12px) !important;
    }
  }
}

body:has(#zega-gpt-modal.open) {
  overflow: hidden;
}

#zega-gpt-modal {
  position: fixed;
  z-index: 2000;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #f5f5f5;
  padding: 1rem;
  flex-direction: column;
  display: none;

  &.open {
    display: flex;
		flex-direction: row;
		justify-content: center;
		padding: 0;
		background: rgba(0, 0, 0, 0.8);
  }

  #zega-gpt-modal-close {
    font-size: 2rem;
    font-weight: 100;
    cursor: pointer;
  }

  #zega-gpt-modal-content {
    flex: 1;
  }

  #zega-gpt-modal-header {
    display: flex;
    align-items: center;
    justify-content: flex-end;
  }

  #zega-gpt-modal-footer {
    position: sticky;
    bottom: 10px;
    margin-top: auto;
    padding-top: 2rem;
    z-index: 9000;
  }

  #zega-gpt-modal-response {
    overflow-y: auto;
    height: calc(100vh - 358px);
		display: flex;
		flex-direction: column;

    > div {
      margin-bottom: 20px;
    }

    .user-msg {
      font-style: italic;
			display: flex;
			flex-direction: row-reverse;

			span {
				background: #fff;
				padding: 9px 18px;
				border-radius: 18px;
			}
		}

    .ai-msg {

    }
  }
}

#zega-gpt-modal-container {
	width: 100%;
	background: #f5f5f5;
	position: relative;
	display: flex;
	flex-direction: column;
}

@media (min-width: 768px) {
	#zega-gpt-modal {
		#zega-gpt-modal-response {
				height: calc(100vh - 280px);
		}
	}
}

@media (min-width: 992px) {
	#zega-gpt-modal {
		#zega-gpt-modal-response {
				height: calc(100vh - 230px);
		}
	}
}

@media (min-width: 1200px) {
	#zega-gpt-modal.open {
		padding: 118px 0 36px;
	}
	#zega-gpt-modal-container {
		width: 70%;
		border-radius: 12px;
	}
	#zega-gpt-modal {
    #zega-gpt-modal-response {
        height: calc(100vh - 378px);
    }
	}
}

#zega-gpt-init-btn {
  position: absolute;
  right: 10px;
  bottom: 10px;
  cursor: pointer;
  filter: invert(34%) sepia(50%) saturate(4650%) hue-rotate(218deg) brightness(98%) contrast(80%);
}

.zega-gpt-suggestions {
  display: flex;
  flex-wrap: nowrap;
  align-items: stretch;
  overflow-x: auto;
  gap: 9px;
  margin: 9px 0;

  .zega-gpt-suggestion {
    background: #fff;
    padding: 9px 12px;
    border-radius: 9px;
    cursor: pointer;
    font-size: 14px;
    font-style: italic;
  }
}

.loading-dots {
  width: 40px;
  height: 20px;
}

.bg-shiftai {
  background: #fff url('../files/images/bg-shiftai.webp') center top no-repeat;
  background-size: cover;
}

.new-link{
  position: relative;
}

.navbar .navbar-nav .nav-link.active {
  color: var(--primary) !important;
  font-weight: bold !important;
}

.new-link::after {
  content: "";
  width: 8px;
  height: 8px;
  position: absolute;
  top: 8px;
  right: 5px;
  left: auto;
  background-color: var(--danger);
  border-radius: 50%;
}

.fs-1 {
  line-height: 1;
}

.ai-send-button{
  position: absolute;
  right: 20px;
  bottom: 10px;
  cursor: pointer;
  filter: invert(34%) sepia(50%) saturate(4650%) hue-rotate(218deg) brightness(98%) contrast(80%);
}

#gatekeeper-chat-display{
  .user-msg {
    font-style: italic;
    display: flex;
    flex-direction: row-reverse;

    span {
      background: #fff;
      padding: 9px 18px;
      border-radius: 18px;
    }
  }

  .ai-msg {

  }
}

@keyframes flash {
  0% {
    opacity: 0;
  }
  50% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

.game-flash {
  animation: flash 0.6s ease-in-out;
}

textarea[disabled]{
  cursor: not-allowed;
}

.section-odd{

}

.section-even{
  background-color: var(--light);
}
